[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ScaleDesignToForm

Scales a size value from the design-time PPI to the run-time PPI for the parent form.

## Declaration

Source position: controls.pp line 1628

`public function TControl.ScaleDesignToForm(`
`const ASize: Integer`
`):Integer;`

## Arguments

`ASize` |  | Original size value scaled in the method.

## Function result

Scaled sized value.